Bug 1182431 - Review Request: ghc-deepseq-generics - Generics-based normal form reduction for deepseq
Summary: Review Request: ghc-deepseq-generics - Generics-based normal form reduction f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1095644 1124148
TreeView+ depends on / blocked
 
Reported: 2015-01-15 05:09 UTC by Jens Petersen
Modified: 2015-02-17 19:00 UTC (History)
1 user (show)

Fixed In Version: ghc-deepseq-generics-0.1.1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-15 03:23:12 UTC
relrod: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2015-01-15 05:09:49 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-deepseq-generics.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-deepseq-generics-0.1.1.2-1.fc21.src.rpm

Description:
This package provides a "GHC.Generics"-based
'Control.DeepSeq.Generics.genericRnf' function which can be used for providing
a 'rnf' implementation. See the documentation for the 'genericRnf' function in
the "Control.DeepSeq.Generics" module to get started.

The original idea was pioneered in the 'generic-deepseq' package (see
<http://www.haskell.org/pipermail/haskell-cafe/2012-February/099551.html> for
more information).

This package differs from the 'generic-deepseq' package by working in
combination with the existing 'deepseq' package as opposed to defining a
conflicting drop-in replacement for 'deepseq's 'Control.Deepseq' module.

Note: The ability to auto-derive via "GHC.Generics" has been merged into
'deepseq-1.4.0.0'. This package is now still useful for writing code that's
also compatible with older 'deepseq' versions not yet providing
"GHC.Generics"-support.

Comment 1 Jens Petersen 2015-01-15 05:09:52 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8620819

Comment 2 Jens Petersen 2015-01-15 05:30:38 UTC
Needed for pandoc-1.13

Comment 3 Rick Elrod 2015-01-24 18:17:15 UTC
APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 133120 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-deepseq-generics-0.1.1.2-1.fc21.x86_64.rpm
          ghc-deepseq-generics-devel-0.1.1.2-1.fc21.x86_64.rpm
          ghc-deepseq-generics-0.1.1.2-1.fc21.src.rpm
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US genericRnf -> generic
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US rnf -> ref, inf, Rn
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US pipermail -> piper mail, piper-mail, epidermal
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
ghc-deepseq-generics.src: W: spelling-error %description -l en_US genericRnf -> generic
ghc-deepseq-generics.src: W: spelling-error %description -l en_US rnf -> ref, inf, Rn
ghc-deepseq-generics.src: W: spelling-error %description -l en_US http -> HTTP
ghc-deepseq-generics.src: W: spelling-error %description -l en_US www -> WWW, wow
ghc-deepseq-generics.src: W: spelling-error %description -l en_US haskell -> Haskell
ghc-deepseq-generics.src: W: spelling-error %description -l en_US pipermail -> piper mail, piper-mail, epidermal
ghc-deepseq-generics.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
3 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
<mock-chroot>[root@t520 /]# rpmlint ghc-deepseq-generics-devel ghc-deepseq-generics
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US genericRnf -> generic
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US rnf -> ref, inf, Rn
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US pipermail -> piper mail, piper-mail, epidermal
ghc-deepseq-generics.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
<mock-chroot>[root@t520 /]# echo 'rpmlint-done:'



Requires
--------
ghc-deepseq-generics-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(deepseq-generics-0.1.1.2-7f9df79c8b1c9857b38dd9c5b30d2e51)
    ghc-compiler
    ghc-deepseq-generics(x86-64)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc-devel(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)

ghc-deepseq-generics (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-deepseq-generics-devel:
    ghc-deepseq-generics-devel
    ghc-deepseq-generics-devel(x86-64)
    ghc-deepseq-generics-static
    ghc-devel(deepseq-generics-0.1.1.2-7f9df79c8b1c9857b38dd9c5b30d2e51)

ghc-deepseq-generics:
    ghc(deepseq-generics-0.1.1.2-7f9df79c8b1c9857b38dd9c5b30d2e51)
    ghc-deepseq-generics
    ghc-deepseq-generics(x86-64)
    libHSdeepseq-generics-0.1.1.2-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-deepseq-generics: /usr/lib64/ghc-7.6.3/deepseq-generics-0.1.1.2/libHSdeepseq-generics-0.1.1.2-ghc7.6.3.so

Source checksums
----------------
https://hackage.haskell.org/package/deepseq-generics-0.1.1.2/deepseq-generics-0.1.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 839e1d6ead4c45faa4165f0e82aa8a9d1df7a7c1118bfb1787e8268bfa8bfb06
  CHECKSUM(SHA256) upstream package : 839e1d6ead4c45faa4165f0e82aa8a9d1df7a7c1118bfb1787e8268bfa8bfb06


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1182431
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jens Petersen 2015-01-25 10:50:18 UTC
Thanks Ricky for reviewing.


New Package SCM Request
=======================
Package Name: ghc-deepseq-generics
Short Description: Generics-based normal form reduction for deepseq
Upstream URL: http://hackage.haskell.org/package/deepseq-generics
Owners: petersen codeblock
Branches: f21 f20 epel7
InitialCC: haskell-sig

Comment 5 Gwyn Ciesla 2015-01-25 21:42:36 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-26 04:19:16 UTC
ghc-deepseq-generics-0.1.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ghc-deepseq-generics-0.1.1.2-1.fc21

Comment 7 Fedora Update System 2015-01-26 04:19:22 UTC
ghc-deepseq-generics-0.1.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-deepseq-generics-0.1.1.2-1.fc20

Comment 8 Fedora Update System 2015-01-26 04:19:28 UTC
ghc-deepseq-generics-0.1.1.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-deepseq-generics-0.1.1.2-1.el7

Comment 9 Fedora Update System 2015-01-26 20:09:42 UTC
ghc-deepseq-generics-0.1.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 10 Fedora Update System 2015-02-15 03:23:12 UTC
ghc-deepseq-generics-0.1.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-02-16 03:26:11 UTC
ghc-deepseq-generics-0.1.1.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-02-17 19:00:59 UTC
ghc-deepseq-generics-0.1.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.